DH_SYSTEMD_START(1)

NAME
dh_systemd_start - startet/stoppt oder startet Systemd-Unit-Dateien erneut

ÜBERSICHT
dh_systemd_start [Debhelper-Optionen] [--restart-after-upgrade] [--no-stop-on-upgrade] [Unit-Datei  …]

BESCHREIBUNG
dh_systemd_start ist ein Debhelper-Programm, das für das Starten/Stoppen oder den Neustart von Systemd-Unit-Dateien zuständig ist, falls kein passendes SysVinit-Skript verfügbar ist.

Wie bei dh_installinit wird die Unit-Datei vor Upgrades gestoppt und hinterher wieder gestartet (es sei denn, es wurde --restart-after-upgrade angegeben, dann wird es nur nach dem Upgrade gestartet). Diese Logik wird nicht verwendet, wenn es ein passendes SysVinit-Skript gibt, da invoke-rc.d in diesem Fall stoppt, startet oder neu startet.

OPTIONEN

--restart-after-upgrade
    stoppt die Unit-Datei nicht, bis das Paket-Upgrade komplett durchgeführt wurde. Dies ist das Standardverhalten für Kompatibilitätsmodus 10.

    In älteren Kompatibilitätsmodi war es Standardverhalten, dass die Unit-Datei in prerm gestoppt und in postinst wieder gestartet wird.

    Dies kann nützlich für Daemons sein, die nicht lange während des Upgrades ausgeschaltet sein sollen. Sie sollten aber sicherstellen, dass der Daemon nicht von dem Paket, von dem ein Upgrade durchgeführt wird, durcheinander gebracht wird, während er läuft, bevor diese Option benutzt wird.Dies kann nützlich für Daemons sein, die während des Upgrades nicht für längere Zeit ausgeschaltet sein sollen. Bevor diese Option benutzt wird, sollten Sie sicherstellen, dass der Betrieb des Daemon nicht negativ beeinflusst wird, wenn dessen Paket zwischendurch aktualisiert wird.

--no-restart-after-upgrade
    macht ein vorhergehendes --restart-after-upgrade (oder die Voreinstellung des Kompatibilitätsmodus 10) rückgängig. Falls keine weiteren Optionen angegeben wurden, wird dies dafür sorgen, dass der Dienst im prerm-Skript gestoppt und im postinst-Skript wieder gestartet wird.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    stoppt den Dienst nicht beim Upgrade.

--no-start
    die Unit-Datei nach Upgrades oder nach anfänglicher Installation nicht starten(letzteres ist nur für Dienste ohne zugehöriges Init-Skript relevant).

ANMERKUNGEN
Beachten Sie, dass dieser Befehl nicht idempotent ist. Zwischen Aufrufen dieses Befehls sollte dh_prep(1) (mit den selben Argumenten) aufgerufen werden. Ansonsten könnte er zur Folge haben, dass den Betreuerskripten mehrere Instanzen des gleichen Textes hinzugefügt werden.

Beachten Sie, dass dh_systemd_start nach dh_installinit ausgeführt werden sollte, so dass es die zugehörigen SysVinit-Skripte aufspüren kann. Die Standardsequenz in dh tut das Richtige, dieser Hinweis ist nur relevant, wenn Sie dh_systemd_start manuell aufrufen.

SIEHE AUCH
debhelper(7)

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOREN
pkg-systemd-maintainers@lists.alioth.debian.org